Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.aspects.portlet
Class RequestAttributeConversationInterceptor

    java.lang.Object
      org.jboss.portal.portlet.PortletInvokerInterceptor
          org.jboss.portal.portlet.aspects.portlet.RequestAttributeConversationInterceptor

All Implemented Interfaces:
  PortletInvoker

    public class RequestAttributeConversationInterceptor

extends PortletInvokerInterceptor

Version:
  $Revision: 630 $
Author:
  Julien Viet

Constructor Summary
`RequestAttributeConversationInterceptor()`

Method Summary
`PortletInvocationResponse` | `invoke(PortletInvocation invocation)` Invoke an operation on a specific portlet.

Methods inherited from class org.jboss.portal.portlet.PortletInvokerInterceptor
`createClone, destroyClones, getNext, getPortlet, getPortlets, getProperties, getProperties, setNext, setProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RequestAttributeConversationInterceptor

    public RequestAttributeConversationInterceptor()

Method Detail

### invoke

    public PortletInvocationResponse invoke(PortletInvocation invocation)
                                     throws java.lang.IllegalArgumentException,
                                            PortletInvokerException

  Description copied from interface: `PortletInvoker`
  Invoke an operation on a specific portlet.

  Specified by:
    `invoke` in interface `PortletInvoker`
  Overrides:
    `invoke` in class `PortletInvokerInterceptor`
  Parameters:
    `invocation` - the portlet invocation
  Returns:
    the invocation response
  Throws:
    `java.lang.IllegalArgumentException` - if the invocation is null
    `PortletInvokerException` - a portlet invoker exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.